#include "uart.h"

int main (void)
{
  WDTCTL = WDTPW + WDTHOLD;             // Stop watchdog timer
  FLL_CTL0 |= XCAP14PF;                 // Configure load caps 
  										// (FLL_CTL0 = FLL_CTL0 OR XCAP14PF)
  CCTL0 = OUT;                          // TXD Idle as Mark 
  TACTL = TASSEL_SMCLK + MC_CONT;   	// SMCLK, continous mode
  init_uart();
  eint();								// Enable all Interrupts

// endless Mainloop
  for (;;)                              
  {
  	nop();
  	send_char( recv_char() );			// RX one Byte  and TX it back

  }
}

