#ifndef __interrupts
#define __interrupts

#include <signal.h>
#include <msp430x41x.h>
#include "uart.h"

interrupt (BASICTIMER_VECTOR) dummy_BasicTimer_Interrupt(void);
interrupt (PORT2_VECTOR) dummy_Port2_Interrupt(void);
interrupt (PORT1_VECTOR) dummy_Port1_Interrupt(void);
interrupt(TIMERA0_VECTOR) timer_A (void);
interrupt (TIMERA1_VECTOR) dummy_TimerAL_Interrupt(void);
interrupt (WDT_VECTOR) dummy_WDT_Interrupt(void);
interrupt (COMPARATORA_VECTOR) dummy_ComparatorA_Interrupt(void);
interrupt (NMI_VECTOR) dummy_NonMaskable_Interrupt(void);


#endif /* #ifndef __msp430x41x */
